### Function

# Qmi LocSatelliteStatus get_string

since: 1.22

#### Declaration [src]

    const gchar*
    qmi_loc_satellite_status_get_string (
      QmiLocSatelliteStatus val
    )

#### Description [src]

Gets the nickname string for the `QmiLocSatelliteStatus` specified at `val`.

Available since: 1.22

#### Parameters

`val`

  Type: `QmiLocSatelliteStatus`

  A QmiLocSatelliteStatus.

#### Return value

Type: `const gchar*`

A string with the nickname, or `NULL` if not found. Do not free the returned value.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.